export class ContactInformation {
    name: string = ''
    mail: string = ''

    constructor(contactInformation?: any) {
        if (contactInformation) {
            this.initialize(contactInformation)
        }
    }

    initialize(contactInformation: ContactInformation) {
        this.name = contactInformation.name
        this.mail = contactInformation.mail
    }

    public get initialized(): boolean {
        return this.name !== '' && this.mail !== ''
    }
}
